Show / Hide Table of Contents

# Class ScriptFileMarker

Contains details about a marker that should be displayed for the a script file. The marker information could come from syntax parsing or semantic analysis of the script.

##### Inheritance

System.Object
ScriptFileMarker

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ScriptFileMarker

### Properties

| Improve this Doc View Source

#### Level

Gets or sets the marker's message level.

##### Declaration

    public ScriptFileMarkerLevel Level { get; set; }

##### Property Value

Type | Description
--- | ---
ScriptFileMarkerLevel |

| Improve this Doc View Source

#### Message

Gets or sets the marker's message string.

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ScriptRegion

Gets or sets the ScriptRegion where the marker should appear.

##### Declaration

    public ScriptRegion ScriptRegion { get; set; }

##### Property Value

Type | Description
--- | ---
ScriptRegion |